package com.sifang.modules.supply.order.entity;


import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
@Entity
@Table(name = "crm_supply_material_deliver_order")
public class CrmSupplyMaterialDeliverOrder implements Serializable {

  private String id;
  private String type;
  private String number;
  private String projectCode;

  private String traderId;
  private String applyOrderId;
  private String relateNo;

  private String outWarehouseId;
  private String deliverMethodId;
  private String deliverMethodName;
  private String expressNo;
  private String deliverId;
  private String deliverName;
  private String deliverInvoice;

  private String deliverRemark;
  private String deliverDriver;
  private String deliverMobile;
  private String deliverCarNum;
  private Date deliverTime;
  private String deliveryVoucher;

  private String allocationRemark;
  private Date allocationTime;
  private String inWarehouseId;
  private String receiveInvoice;
  private String receiveRemark;
  private Date receiveTime;
  private String warehouseFailReason;
  private String auditRemark;
  private String cancelReason;
  private String remarks;
  private String placeBy;
  private String placeName;
  private Date placeTime;
  private Date auditTime;
  private String createBy;
  private String creator;
  private Date createTime;
  private String status;
  private String examineRemark;
  private String sendStatus;

  private String province;
  private String city;
  private String area;
  private String address;
  private BigDecimal materialTypeAmount;
  private BigDecimal totalApplyAmount;
  private BigDecimal totalDeliverAmount;
  private BigDecimal totalInAmount;

  private String orderExamineStatus;

  private String processInstanceId;

  private String purchaseOrderExamineStatus;

  private String purchaseProcessInstanceId;

  private String taskName;

  private String taskId;

  private String processDefId;

  private String pattern;

  private String supplyId;

  private String kingDeeId;


  private String operateUserIds;


  private String purchaseOperateUserIds;

  private BigDecimal predictAmount;

  private Integer version;

  private String insuranceFiles;

  private String safetyFiles;

  private String qqProjectCode;

  private String fileUrl;

  public String getQqProjectCode() {
    return qqProjectCode;
  }

  public void setQqProjectCode(String qqProjectCode) {
    this.qqProjectCode = qqProjectCode;
  }

  public String getFileUrl() {
    return fileUrl;
  }

  public void setFileUrl(String fileUrl) {
    this.fileUrl = fileUrl;
  }

  public String getSafetyFiles() {
    return safetyFiles;
  }

  public void setSafetyFiles(String safetyFiles) {
    this.safetyFiles = safetyFiles;
  }

  public String getInsuranceFiles() {
    return insuranceFiles;
  }

  public void setInsuranceFiles(String insuranceFiles) {
    this.insuranceFiles = insuranceFiles;
  }

  public BigDecimal getPredictAmount() {
    return predictAmount;
  }

  public void setPredictAmount(BigDecimal predictAmount) {
    this.predictAmount = predictAmount;
  }

  public String getPurchaseOperateUserIds() {
    return purchaseOperateUserIds;
  }

  public void setPurchaseOperateUserIds(String purchaseOperateUserIds) {
    this.purchaseOperateUserIds = purchaseOperateUserIds;
  }

  public String getOperateUserIds() {
    return operateUserIds;
  }

  public void setOperateUserIds(String operateUserIds) {
    this.operateUserIds = operateUserIds;
  }


  public CrmSupplyMaterialDeliverOrder() {
    super();
    this.sendStatus="0";
    this.version = 0;
  }

  public String getExamineRemark() {
    return examineRemark;
  }

  public void setExamineRemark(String examineRemark) {
    this.examineRemark = examineRemark;
  }

  public String getSendStatus() {
    return sendStatus;
  }

  public void setSendStatus(String sendStatus) {
    this.sendStatus = sendStatus;
  }

  public String getSupplyId() {
    return supplyId;
  }

  public void setSupplyId(String supplyId) {
    this.supplyId = supplyId;
  }

  public String getPattern() {
    return pattern;
  }

  public void setPattern(String pattern) {
    this.pattern = pattern;
  }

  public String getProcessDefId() {
    return processDefId;
  }

  public void setProcessDefId(String processDefId) {
    this.processDefId = processDefId;
  }

  public String getProvince() {
    return province;
  }

  public void setProvince(String province) {
    this.province = province;
  }

  public String getCity() {
    return city;
  }

  public void setCity(String city) {
    this.city = city;
  }

  public String getArea() {
    return area;
  }

  public void setArea(String area) {
    this.area = area;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public String getProjectCode() {
    return projectCode;
  }

  public void setProjectCode(String projectCode) {
    this.projectCode = projectCode;
  }

  @Id
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public String getNumber() {
    return number;
  }

  public void setNumber(String number) {
    this.number = number;
  }

  public String getRelateNo() {
    return relateNo;
  }

  public void setRelateNo(String relateNo) {
    this.relateNo = relateNo;
  }

  public String getOutWarehouseId() {
    return outWarehouseId;
  }

  public void setOutWarehouseId(String outWarehouseId) {
    this.outWarehouseId = outWarehouseId;
  }

  public String getDeliverMethodId() {
    return deliverMethodId;
  }

  public void setDeliverMethodId(String deliverMethodId) {
    this.deliverMethodId = deliverMethodId;
  }

  public String getDeliverMethodName() {
    return deliverMethodName;
  }

  public void setDeliverMethodName(String deliverMethodName) {
    this.deliverMethodName = deliverMethodName;
  }

  public String getExpressNo() {
    return expressNo;
  }

  public void setExpressNo(String expressNo) {
    this.expressNo = expressNo;
  }

  public String getDeliverId() {
    return deliverId;
  }

  public void setDeliverId(String deliverId) {
    this.deliverId = deliverId;
  }

  public String getDeliverName() {
    return deliverName;
  }

  public void setDeliverName(String deliverName) {
    this.deliverName = deliverName;
  }

  public String getDeliverInvoice() {
    return deliverInvoice;
  }

  public void setDeliverInvoice(String deliverInvoice) {
    this.deliverInvoice = deliverInvoice;
  }

  public String getDeliverRemark() {
    return deliverRemark;
  }

  public void setDeliverRemark(String deliverRemark) {
    this.deliverRemark = deliverRemark;
  }

  public Date getDeliverTime() {
    return deliverTime;
  }

  public void setDeliverTime(Date deliverTime) {
    this.deliverTime = deliverTime;
  }

  public String getAllocationRemark() {
    return allocationRemark;
  }

  public void setAllocationRemark(String allocationRemark) {
    this.allocationRemark = allocationRemark;
  }

  public Date getAllocationTime() {
    return allocationTime;
  }

  public void setAllocationTime(Date allocationTime) {
    this.allocationTime = allocationTime;
  }

  public String getInWarehouseId() {
    return inWarehouseId;
  }

  public void setInWarehouseId(String inWarehouseId) {
    this.inWarehouseId = inWarehouseId;
  }

  public String getReceiveInvoice() {
    return receiveInvoice;
  }

  public void setReceiveInvoice(String receiveInvoice) {
    this.receiveInvoice = receiveInvoice;
  }

  public String getReceiveRemark() {
    return receiveRemark;
  }

  public void setReceiveRemark(String receiveRemark) {
    this.receiveRemark = receiveRemark;
  }

  public Date getReceiveTime() {
    return receiveTime;
  }

  public void setReceiveTime(Date receiveTime) {
    this.receiveTime = receiveTime;
  }

  public String getWarehouseFailReason() {
    return warehouseFailReason;
  }

  public void setWarehouseFailReason(String warehouseFailReason) {
    this.warehouseFailReason = warehouseFailReason;
  }

  public String getRemarks() {
    return remarks;
  }

  public void setRemarks(String remarks) {
    this.remarks = remarks;
  }

  public String getCreateBy() {
    return createBy;
  }

  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }

  public String getCreator() {
    return creator;
  }

  public void setCreator(String creator) {
    this.creator = creator;
  }

  public Date getCreateTime() {
    return createTime;
  }

  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public String getPlaceBy() {
    return placeBy;
  }

  public void setPlaceBy(String placeBy) {
    this.placeBy = placeBy;
  }

  public String getPlaceName() {
    return placeName;
  }

  public void setPlaceName(String placeName) {
    this.placeName = placeName;
  }

  public String getCancelReason() {
    return cancelReason;
  }

  public void setCancelReason(String cancelReason) {
    this.cancelReason = cancelReason;
  }

  public Date getPlaceTime() {
    return placeTime;
  }

  public void setPlaceTime(Date placeTime) {
    this.placeTime = placeTime;
  }

  public String getDeliverDriver() {
    return deliverDriver;
  }

  public void setDeliverDriver(String deliverDriver) {
    this.deliverDriver = deliverDriver;
  }

  public String getDeliverMobile() {
    return deliverMobile;
  }

  public void setDeliverMobile(String deliverMobile) {
    this.deliverMobile = deliverMobile;
  }

  public String getDeliverCarNum() {
    return deliverCarNum;
  }

  public void setDeliverCarNum(String deliverCarNum) {
    this.deliverCarNum = deliverCarNum;
  }

  public Date getAuditTime() {
    return auditTime;
  }

  public void setAuditTime(Date auditTime) {
    this.auditTime = auditTime;
  }

  public String getAuditRemark() {
    return auditRemark;
  }

  public void setAuditRemark(String auditRemark) {
    this.auditRemark = auditRemark;
  }

  public BigDecimal getMaterialTypeAmount() {
    return materialTypeAmount;
  }

  public void setMaterialTypeAmount(BigDecimal materialTypeAmount) {
    this.materialTypeAmount = materialTypeAmount;
  }

  public BigDecimal getTotalDeliverAmount() {
    return totalDeliverAmount;
  }

  public void setTotalDeliverAmount(BigDecimal totalDeliverAmount) {
    this.totalDeliverAmount = totalDeliverAmount;
  }

  public BigDecimal getTotalApplyAmount() {
    return totalApplyAmount;
  }

  public void setTotalApplyAmount(BigDecimal totalApplyAmount) {
    this.totalApplyAmount = totalApplyAmount;
  }

  public String getApplyOrderId() {
    return applyOrderId;
  }

  public void setApplyOrderId(String applyOrderId) {
    this.applyOrderId = applyOrderId;
  }

  public String getTraderId() {
    return traderId;
  }

  public void setTraderId(String traderId) {
    this.traderId = traderId;
  }

  public String getOrderExamineStatus() {
    return orderExamineStatus;
  }

  public void setOrderExamineStatus(String orderExamineStatus) {
    this.orderExamineStatus = orderExamineStatus;
  }

  public String getProcessInstanceId() {
    return processInstanceId;
  }

  public void setProcessInstanceId(String processInstanceId) {
    this.processInstanceId = processInstanceId;
  }

  public String getPurchaseOrderExamineStatus() {
    return purchaseOrderExamineStatus;
  }

  public void setPurchaseOrderExamineStatus(String purchaseOrderExamineStatus) {
    this.purchaseOrderExamineStatus = purchaseOrderExamineStatus;
  }

  public String getPurchaseProcessInstanceId() {
    return purchaseProcessInstanceId;
  }

  public void setPurchaseProcessInstanceId(String purchaseProcessInstanceId) {
    this.purchaseProcessInstanceId = purchaseProcessInstanceId;
  }

  public String getTaskName() {
    return taskName;
  }

  public void setTaskName(String taskName) {
    this.taskName = taskName;
  }

  public String getTaskId() {
    return taskId;
  }

  public void setTaskId(String taskId) {
    this.taskId = taskId;
  }

  public String getKingDeeId() {
    return kingDeeId;
  }

  public void setKingDeeId(String kingDeeId) {
    this.kingDeeId = kingDeeId;
  }

  public String getDeliveryVoucher() {
    return deliveryVoucher;
  }

  public void setDeliveryVoucher(String deliveryVoucher) {
    this.deliveryVoucher = deliveryVoucher;
  }

  public BigDecimal getTotalInAmount() {
    return totalInAmount;
  }

  public void setTotalInAmount(BigDecimal totalInAmount) {
    this.totalInAmount = totalInAmount;
  }

  public Integer getVersion() {
    return version;
  }

  public void setVersion(Integer version) {
    this.version = version;
  }
}
